summaryrefslogtreecommitdiff
path: root/support/dependencies
diff options
context:
space:
mode:
authorMartin Bark <martin@barkynet.com>2014-02-04 22:10:23 +0000
committerPeter Korsgaard <peter@korsgaard.com>2014-02-05 23:58:04 +0100
commit2e8dd9563dbb39b74b0c628295a671ab81e6182b (patch)
tree1e604455218df178ccce36ddc6c031ef3033a925 /support/dependencies
parent5f7cbb264ec21f75320ad8518d27f4c605c825f8 (diff)
dependencies.sh: stop stray a.out being created for ia32 compiler test
If the grub package is selected it also selects BR2_HOSTARCH_NEEDS_IA32_COMPILER. This triggers a test in dependencies.sh to verify the host compiler can build 32 bit executables. Currently this test does not set any output for the compiler which causes a stray a.out to be create outside the output directory. This patch sets the compiler output to /dev/null so no a.out is created but the test is still performed. Signed-off-by: Martin Bark <martin@barkynet.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
Diffstat (limited to 'support/dependencies')
-rwxr-xr-xsupport/dependencies/dependencies.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/support/dependencies/dependencies.sh b/support/dependencies/dependencies.sh
index 47d4d1045..0e22ba0e8 100755
--- a/support/dependencies/dependencies.sh
+++ b/support/dependencies/dependencies.sh
@@ -207,7 +207,7 @@ if grep -q ^BR2_HOSTARCH_NEEDS_IA32_LIBS=y $BUILDROOT_CONFIG ; then
fi
if grep -q ^BR2_HOSTARCH_NEEDS_IA32_COMPILER=y $BUILDROOT_CONFIG ; then
- if ! echo "int main(void) {}" | gcc -m32 -x c - ; then
+ if ! echo "int main(void) {}" | gcc -m32 -x c - -o /dev/null ; then
echo
echo "Your Buildroot configuration needs a compiler capable of building 32 bits binaries."
echo "If you're running a Debian/Ubuntu distribution, install the gcc-multilib package."